<?
if(isset($_GET['puly']))
{
$money=5000;
$ku['money']=minus_money($money);
//mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-5000)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `pulym` = '".($ku['pulym']+10)."' WHERE `id` = '$ku[id]'");
echo "<div class='event'><h1>Русская рулетка</h1></a></div>";;
echo "<div class='block'><img width='35' height='35' src='images/puly.png' alt='o'>Вы купили 10 пуль за 5000 монет.<br><a href='?rul1'>Играть.</a></div>";
} else {
if($ku['pulym']<=0)
{
echo "<div class='event'><h1>Русская рулетка</h1></a></div>";
echo "<div class='block'><img width='35' height='35' src='images/puly.png' alt='o'>У тебя не хватает пуль. <a href='?rul1&puly'>Купить?</a></div>";
} else {
$go=rand(1,4);
if($ku['money']<8000)
{
echo "<div class='event'><h1>Русская рулетка</h1></a></div>";
echo "<div class='block'>Извени. Ты бомж :D Бомжан тут делать нечего.</div>";
}
else
{
echo "<div class='event'><h1><a href='?ruletka'>Русская рулетка</a> / На монеты</h1></div>";
$no=8000;
$ino=$no;
if($go == 1) {
$yes=rand(100,10000);
$iyes=$yes;
$ku['money']=plus_money($iyes);
//mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$iyes)."' WHERE `id` = '$ku[id]'");
if($iyes==0){echo "<div class='block'><img width='35' height='35' src='images/minus.png' alt='o'> <font color='orange'>Ты поймал 0 монет, ну ничего. Потом повезет :)</font></div>";
}
else
{
echo "<div class='block'><img width='35' height='35' src='images/plus.png' alt='o'> <font color='yellow'>Пуля попала, вот тебе ".$iyes." монет. Успеха на грядках :)</font></div>";
}
mysql_query("UPDATE `kolhoz_user` SET `pulym` = '".($ku['pulym']-1)."' WHERE `id` = '$ku[id]'");
}
elseif($go == 2)
{
echo "<div class='block'><img width='35' height='35' src='images/minus.png' alt='o'> <font color='red'>Ууу, ну ты косой. Промах. Я забираю у тебя ".$ino." монет.</font></div>";
$ku['money']=minus_money($ino);
//mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$ino)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `pulym` = '".($ku['pulym']-1)."' WHERE `id` = '$ku[id]'");
}
elseif($go == 3)
{
$rat=rand(1,2);
$irat=$rat;
echo "<div class='block'><img width='35' height='35' src='images/puly.png' alt='o'> <font color='green'>Оп, ты нашёл ".$irat." п.</font></div>";
mysql_query("UPDATE `kolhoz_user` SET `pulym` = '".($ku['pulym']+$irat)."' WHERE `id` = '$ku[id]'");
}
else
{
echo "<div class='block'><img width='35' height='35' src='images/vintovka.png' alt='o'> Пистолет заклинило, пуля испорчена. Попробуй еще еще.</div>";
mysql_query("UPDATE `kolhoz_user` SET `pulym` = '".($ku['pulym']-1)."' WHERE `id` = '$ku[id]'");
}
echo "<div class='block'><img width='16' height='16' src='images/vintovka.png' alt='o'> <a href='?rul1&reflesh=".rand(99999,99999999)."'>Играть еще?</a> (-1 пуля)<br><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?rul1&puly'>Купить 10 пуль.</a> (у тебя ".$ku['pulym'].")</div>";
}
}
}
include_once 'inc/foot.php';
?>